import React, { Component } from 'react';

class DynSVG extends Component {

  constructor(props) {
    super(props);

    this.id = Math.random() + "_" + Math.random() + "_" + Math.random() + "_" + Math.random();

    fetch(this.props.src)
    .then(response => response.text())
    .then(function(svg){
      document.getElementById(this.id).insertAdjacentHTML("afterbegin", svg)
    }.bind(this));

  }

  render() {
    return(
      <div className="dynSVG" id={this.id} onClick={this.props.action}></div>
    )
  }
}

export default DynSVG;
