import React, { Component } from 'react';

class MSButton extends Component {
  render() {
    let buttonStyles = "";

    if(window.globals && window.globals.design){
      buttonStyles = {
        backgroundColor: window.globals.design.main_color
      };
    }

    return(
      <button id={this.props.id} className="button" onClick={this.props.action} style={buttonStyles} >
        {this.props.name}
      </button>
    )
  }
}

export default MSButton;
