import React from 'react';
import LanguageStore from "./../../../stores/LanguageStore";

class WelcomeMessage extends React.Component {

  constructor(props){
    super(props)
    this.state ={
      ap : props.ap,
      au : props.au
    }
  }

  componentDidMount (){
    setTimeout(function(){
      window.location.reload();
    },30000);
  }

  render() {
    let name =" ";

    this.state.au.au_surname.split(" ").forEach(function(val){
      name += val.charAt(0).toUpperCase() + val.slice(1).toLowerCase() + " "
    });

    this.state.au.au_name.split(" ").forEach(function(val){
      name += val.charAt(0).toUpperCase() + val.slice(1).toLowerCase() + " "
    });
    return (
      <div id="welcome" className="main_content" >
        <h1>{LanguageStore.translate("self_greeting_title")} {name}</h1>
        <h2>{LanguageStore.translate("self_greeting_checkin")}</h2>
      </div>
    );
  }
}

export default WelcomeMessage;
